[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@]//! @file[@NewLine@]
[@Indent_00@]//! @brief  The Implementation of [@NamespaceName@]::[@ClassName@].[@NewLine@]
[@Indent_00@]//! [@NewLine@]
[@Indent_00@]//! [@ClassName@].cpp - The Implementation of [@NamespaceName@]::[@ClassName@]. [@NewLine@]
[@Indent_00@]//! [@NewLine@]
[@AuthorComment@]
[@SinceComment@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  DEPENDENCIES[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@PrecompiledHeaderComment@]
[@IncludePrecompiledHeader@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]//  CLASS-HEADER[@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]#include "[@ClassName@].h"[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]//  OTHER-HEADERS[@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  PREPROCESSOR-DEFINITIONS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  GENERAL-DEFINITIONS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@UsingNamespace@]
[@Indent_00@]typedef [@ClassName@] ThisType;[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  CLASS-ACCESSORS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  CLASS-METHODS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  CONSTRUCTION/DESTRUCTION[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]//! @brief Default constructor[@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@ClassName@]::[@ClassName@]()[@NewLine@]
[@Indent_00@][@InitializeBaseClass@]
[@Indent_00@][@InitializeInterfaces@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]//! @brief Destructor[@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@ClassName@]::~[@ClassName@]()[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]//  Other constructors[@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  RELATIONAL OPERATORS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]//  Relational comparisons to this-type[@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator== (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator!= (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]	return !(this.operator== (rhs));[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator<  (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator>  (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator<= (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]	return !(this.operator== (rhs));[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@]bool [@ClassName@]::operator>= (const ThisType& rhs)[@NewLine@]
[@Indent_00@]{[@NewLine@]
[@Indent_00@]}[@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  ACCESSORS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]// [@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  FUNCTIONAL-OPERATORS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]// [@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  METHODS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]// [@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  EVENT-HANDLERS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]// [@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  CLASS-OUTER-COMPONENTS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@]//  OPERATORS[@NewLine@]
[@Indent_00@][@Separator_00_Equal@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@]//  END-OF-FILE[@NewLine@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@][@NewLine@]
