﻿// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@[@NewLine@]
//! @file[@NewLine@]
//! @brief  The source file of [@NamespaceName@].[@ClassName@].[@NewLine@]
//! [@NewLine@]
//! [@ClassName@].cs - TThe source file of [@NamespaceName@].[@ClassName@]. [@NewLine@]
//! [@NewLine@]
[@AuthorComment@]
[@SinceComment@]
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@[@NewLine@]
// ########################################################################################################################[@NewLine@]
//  DEPENDENCIES[@NewLine@]
// ########################################################################################################################[@NewLine@]
using System;[@NewLine@]
using System.Collections.Generic;[@NewLine@]
using System.Text;[@NewLine@]
[@NewLine@]
// ########################################################################################################################[@NewLine@]
//  DEFINITIONS[@NewLine@]
// ########################################################################################################################[@NewLine@]
// ************************************************************************************************************************[@NewLine@]
//  NAMESPACE "[@NamespaceName@]"[@NewLine@]
// ************************************************************************************************************************[@NewLine@]
namespace [@NamespaceName@][@NewLine@]
{[@NewLine@]
	// ####################################################################################################################[@NewLine@]
	//! @class [@ClassName@][@NewLine@]
	//! @brief A class [@ClassName@].[@NewLine@]
	// ####################################################################################################################[@NewLine@]
	[@ClassAccessModifier@] class [@ClassName@][@InheritsBaseClass@][@ImplementsInterfaces@][@NewLine@]
	{[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CLASS-INNER-DEFINITIONS[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CONSTANTS[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CLASS-MEMBER-VARIABLES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CLASS-PROPERTIES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CLASS-METHODS[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  MEMBER-EVENT-VARIABLES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  MEMBER-VARIABLES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  CONSTRUCTION/DESTRUCTION[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//! @brief Default constructor[@NewLine@]
		// ================================================================================================================[@NewLine@]
		protected [@ClassName@]()[@NewLine@]
			: base()[@NewLine@]
		{[@NewLine@]
		}[@NewLine@]
		[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//! @brief Copy constructor[@NewLine@]
		//! @param[in] rhs Source object[@NewLine@]
		// ================================================================================================================[@NewLine@]
		// protected [@ClassName@]([@ClassName@] rhs)[@NewLine@]
		// 	: this()[@NewLine@]
		// {[@NewLine@]
		// }[@NewLine@]
		// [@NewLine@]
		// ================================================================================================================[@NewLine@]
		//! @brief Destructor[@NewLine@]
		// ================================================================================================================[@NewLine@]
		~[@ClassName@]()[@NewLine@]
		{[@NewLine@]
[@DisposeCall@]
		}[@NewLine@]
		[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  Other constructors[@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  EVENT-PROPERTIES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  PROPERTIES[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  METHODS[@NewLine@]
		// ################################################################################################################[@NewLine@]
[@DisposeMethodDefinitions@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  EVENT-RAISERS[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  EVENT-HANDLERS[@NewLine@]
		// ################################################################################################################[@NewLine@]
		// ================================================================================================================[@NewLine@]
		//  [@NewLine@]
		// ================================================================================================================[@NewLine@]
		[@NewLine@]
		[@NewLine@]
		// ################################################################################################################[@NewLine@]
		//  END-OF-CLASS[@NewLine@]
		// ################################################################################################################[@NewLine@]
	}[@NewLine@]
	// ********************************************************************************************************************[@NewLine@]
	//  END-OF-NAMESPACE "[@NamespaceName@]"[@NewLine@]
	// ********************************************************************************************************************[@NewLine@]
}[@NewLine@]
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@[@NewLine@]
//  END-OF-FILE[@NewLine@]
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@[@NewLine@]
[@NewLine@]
