﻿[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@]//! @file[@NewLine@]
[@Indent_00@]//! @brief  The header of [@NamespaceName@]::[@ClassName@].[@NewLine@]
[@Indent_00@]//! [@NewLine@]
[@Indent_00@]//! [@ClassName@].h - The header of [@NamespaceName@]::[@ClassName@]. [@NewLine@]
[@Indent_00@]//! [@NewLine@]
[@AuthorComment@]
[@SinceComment@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  INCLUDE-GUARD[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]#ifndef [@PackageNameForPrefix@][@ClassName@]_h_INCLUDED[@NewLine@]
[@Indent_00@]#define [@PackageNameForPrefix@][@ClassName@]_h_INCLUDED[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  DEPENDENCIES[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]//  FORWARD-DECLARATION-HEADER[@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]#include "[@ClassName@].fwd.h"[@NewLine@]
[@Indent_00@][@NewLine@]
[@ConfigurationHeaderComment@]
[@IncludeConfigurationHeader@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@]//  OTHER-HEADERS[@NewLine@]
[@Indent_00@][@Separator_00_Asterisk@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  PREPROCESSOR-DEFINITIONS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  DECLARATIONS[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@NamespaceStartComment@]
[@NamespaceStartPart@][@NamespaceStartPartNewLine@]
[@NamespaceStartBrace@]
[@Indent_01@][@Separator_01_Sharp@][@NewLine@]
[@Indent_01@]//! @class [@ClassName@][@NewLine@]
[@Indent_01@]//! @brief A class [@ClassName@].[@NewLine@]
[@Indent_01@][@Separator_01_Sharp@][@NewLine@]
[@Indent_01@]class [@ClassName@][@InheritsBaseClass@][@NewLine@]
[@Indent_01@]{[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  GENERAL-DEFINITIONS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]private: typedef [@ClassName@] ThisType;[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CLASS-INNER-DEFINITIONS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CONSTANTS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CLASS-MEMBER-VARIABLES[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CLASS-ACCESSORS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CLASS-METHODS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  MEMBER-VARIABLES[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  CONSTRUCTION/DESTRUCTION[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//! @brief Default constructor[@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]public: [@ClassName@]();[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//! @brief Copy constructor[@NewLine@]
[@Indent_02@]//! @param[in] rhs Source object[@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]public: [@Implicit@] [@ClassName@](const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//! @brief Assignment operator[@NewLine@]
[@Indent_02@]//! @param[in] rhs Source object[@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]public: ThisType& operator= (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//! @brief Destructor[@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]public: ~[@ClassName@]();[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  Other constructors[@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  RELATIONAL OPERATORS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Asterisk@][@NewLine@]
[@Indent_02@]//  Relational comparisons to this-type[@NewLine@]
[@Indent_02@][@Separator_02_Asterisk@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator== (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator!= (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator<  (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator>  (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator<= (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]private: bool operator>= (const ThisType& rhs);[@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  ACCESSORS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  FUNCTIONAL-OPERATORS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  METHODS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  EVENT-HANDLERS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@]//  [@NewLine@]
[@Indent_02@][@Separator_02_Equal@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_02@]//  END-OF-CLASS[@NewLine@]
[@Indent_02@][@Separator_02_Sharp@][@NewLine@]
[@Indent_01@]};[@NewLine@]
[@Indent_01@][@Separator_01_Sharp@][@NewLine@]
[@Indent_01@]//  CLASS-OUTER-COMPONENTS[@NewLine@]
[@Indent_01@][@Separator_01_Sharp@][@NewLine@]
[@Indent_01@][@Separator_01_Equal@][@NewLine@]
[@Indent_01@]//  OPERATORS[@NewLine@]
[@Indent_01@][@Separator_01_Equal@][@NewLine@]
[@Indent_01@][@NewLine@]
[@Indent_01@][@NewLine@]
[@NamespaceEndComment@]
[@NamespaceEndPart@][@NamespaceEndPartNewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]//  END-OF-INCLUDE-GUARD[@NewLine@]
[@Indent_00@][@Separator_00_Sharp@][@NewLine@]
[@Indent_00@]#endif[@NewLine@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
[@Indent_00@]//  END-OF-FILE[@NewLine@]
[@Indent_00@][@Separator_00_At@][@NewLine@]
